GoPxL SDK

- Home
- Files
- Namespace

Public Member Functions | Friends
GoPxLSdk::GoGdpSpots Class Reference
Inheritance diagram for GoPxLSdk::GoGdpSpots:

## Public Member Functions
const k32f | CenterOffset () const
| Get the offset value to apply to the center to obtain center position. More...
const k32f | CenterScale () const
| Get the scale value to apply to the center to obtain center position. More...
const bool | ColumnBased () const
| Get the flag indicating spots are column-based or row based. More...
void | Deserialize (kSerializer serializer) override
| Deserialize spots message. More...
const k32f | Exposure () const
| Get exposure (ns). More...
| GoGdpSpots ()
| Constructs GoGdpSpots. More...
const k32u | MaxSliceCount () const
| Get the Max slice count of the spots. More...
const k32u | PointCount () const
| Get the count of points. More...
const k32f | SliceOffset () const
| Get the offset value to apply to the slice to obtain slice position. More...
const k32f | SliceScale () const
| Get the scale value to apply to the slice to obtain slice position. More...
const k32u | SpotCenterMax () const
| Get the maximum spot center value. More...
const k32u | SpotCenterMin () const
| Get the minimum spot center value. More...
const std::vector< GdpSpot > & | Spots () const
| Get points representing slice and centre. More...
| ~GoGdpSpots ()=default
Public Member Functions inherited from GoPxLSdk::GoGdpMsg
const k32u | ArrayedCount () const
| Get the count of messages in the array. More...
const k32u | ArrayedIndex () const
| Get the index of this message in the array. More...
const GoGdpBoundingBox & | BoundingBox () const
| Get bounding box. More...
const k64u | DataSetId () const
| Get the data set identifier. More...
const std::string & | DataSourceId () const
| Get the data source Id. More...
const k16u | GdpId () const
| Get the gdpId. More...
| GoGdpMsg (MessageType type=MessageType::NULL_TYPE)
| Constructs GoGdpMsg. More...
const bool | HasBoundingBox () const
| Get indicator if a bounding box exists or not. More...
const bool | HasTransform () const
| Get indicator if a transform (returned by Transform() API) exists for ths message. More...
const bool | IsLastMsg () const
| Get whether this messages is the last one within its current set. More...
const k8u | SpaceType () const
| Get space type value. More...
const std::string & | StampSourceId () const
| Get the stamp source Id. More...
const GoGdpTransform & | Transform () const
| Get pointer to the transformation matrix values. More...
const MessageType | Type () const
| Get concrete message type. More...
virtual | ~GoGdpMsg ()=default

## Friends
class | ::GoGdpMsgTests

## Additional Inherited Members
Protected Attributes inherited from GoPxLSdk::GoGdpMsg
CommonAttributes | attributes
MessageType | msgType

The documentation for this class was generated from the following file:

- GoGdpMsg/GoGdpSpots.h